package cpcns.dingZhi.tushuziliao.service.impl;

package .tmp;

import cpcns.dangAnBase.base.service.impl.DangAnBaseServiceImpl;
import cpcns.dingZhi.tushuziliao.dao.ITuShuZiLiaoDao;
import cpcns.dingZhi.tushuziliao.model.TuShuZiLiao;
import cpcns.dingZhi.tushuziliao.service.ITuShuZiLiaoService;
import cpcns.utils.CommStatic;
import cpcns.utils.PagerVO;
import java.util.HashMap;
import java.util.Map;
import org.apache.commons.lang.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service("tuShuService")
public class TuShuZiLiaoServiceImpl extends DangAnBaseServiceImpl<TuShuZiLiao> implements ITuShuZiLiaoService {
  @Autowired
  private ITuShuZiLiaoDao tuShuZiLiaoDao;
  
  public PagerVO query_SQL(Integer start, Integer rows, String table, Map<String, Object> map, String orderbysql) throws Exception {
    Map<String, Object> tp = new HashMap<>();
    StringBuffer sql = (new StringBuffer(" select hangBiaoShi,fenLeiHao,dangHao,liJuanDanWeiMingCheng,zeRenZhe,CunFangWeiZhi,leiBie,yeShu,menLei,baoGuanQiXian,biaoTi,userDate,xuHao,guiDangNianDu,quanZongHao,fenLeiMingCheng from ")).append(table).append(" where 1=1 and zhuangTai not in(:zhuangTai)");
    Object importTool = map.get("importTool");
    if (StringUtils.isNotBlank((String)importTool)) {
      if (importTool.equals("importTool")) {
        sql = (new StringBuffer(" select hangBiaoShi,fenLeiHao,dangHao,liJuanDanWeiMingCheng,zeRenZhe,CunFangWeiZhi,leiBie,yeShu,menLei,baoGuanQiXian,biaoTi,userDate,xuHao,guiDangNianDu,quanZongHao,fenLeiMingCheng from ")).append(table).append(" where 1=1 and  zhuangTai in(:zhuangTai)");
        tp.put("zhuangTai", new String[] { "0", "10" });
      } else {
        tp.put("zhuangTai", new String[] { "3", "4" });
      } 
    } else {
      tp.put("zhuangTai", new String[] { "3", "4" });
    } 
    Object para = null;
    para = map.get("querystr");
    if (para != null && para != "") {
      Object menLei = map.get("menLei");
      if (menLei != null && menLei != "") {
        sql.append(" and menLei =:menLei");
        tp.put("menLei", menLei);
      } 
      CommStatic.zhuHeQueryJieXi_map(sql, tp, para.toString(), (String)map.get("zuHeType"), getDataType());
    } else {
      para = map.get("menLei");
      if (para != null && para != "") {
        sql.append(" and menLei=:menLei");
        tp.put("menLei", para);
      } 
      para = map.get("dangHao");
      if (para != null && para != "") {
        sql.append(" and dangHao like :dangHao");
        tp.put("dangHao", "%" + para + "%");
      } 
      para = map.get("quanZongHao");
      if (para != null && para != "") {
        sql.append(" and quanZongHao=:quanZongHao");
        tp.put("quanZongHao", para);
      } 
      para = map.get("guiDangNianDu");
      if (para != null && para != "") {
        tp.put("guiDangNianDu", para);
        para = map.get("guiDangNianDu_Operator");
        if (para != null && para != "") {
          sql.append(" and guiDangNianDu ").append(para).append(":guiDangNianDu");
        } else {
          sql.append(" and guiDangNianDu ").append("=:guiDangNianDu");
        } 
      } 
      para = map.get("baoGuanQiXian");
      if (para != null && para != "") {
        sql.append(" and baoGuanQiXian=:baoGuanQiXian");
        tp.put("baoGuanQiXian", para);
      } 
      para = map.get("biaoTi");
      if (para != null && para != "") {
        sql.append(" and biaoTi like :biaoTi");
        tp.put("biaoTi", "%" + para + "%");
      } 
      para = map.get("fenLeiMingCheng");
      if (para != null && para != "") {
        sql.append(" and fenLeiMingCheng like :fenLeiMingCheng");
        tp.put("fenLeiMingCheng", "%" + para + "%");
      } 
      para = map.get("wenJianKaiShiShiJian");
      if (para != null && para != "") {
        sql.append(" and wenJianKaiShiShiJian>=:wenJianKaiShiShiJian");
        tp.put("wenJianKaiShiShiJian", para);
      } 
      para = map.get("wenJianJieShuShiJian");
      if (para != null && para != "") {
        sql.append(" and wenJianJieShuShiJian<=:wenJianJieShuShiJian");
        tp.put("wenJianJieShuShiJian", para);
      } 
      para = map.get("guiDangRiQi");
      if (para != null && para != "") {
        sql.append(" and guiDangRiQi=:guiDangRiQi");
        tp.put("guiDangRiQi", para);
      } 
      para = map.get("wenJianBianHao");
      if (para != null && para != "") {
        sql.append(" and wenJianBianHao=:wenJianBianHao");
        tp.put("wenJianBianHao", para);
      } 
      para = map.get("fenLeiHao");
      if (para != null && para != "") {
        sql.append(" and fenLeiHao like :fenLeiHao");
        tp.put("fenLeiHao", "%" + para + "%");
      } 
      para = map.get("zeRenZhe");
      if (para != null && para != "") {
        sql.append(" and zeRenZhe like :zeRenZhe");
        tp.put("zeRenZhe", "%" + para + "%");
      } 
      para = map.get("liJuanDanWeiMingCheng");
      if (para != null && para != "") {
        sql.append(" and liJuanDanWeiMingCheng like :liJuanDanWeiMingCheng");
        tp.put("liJuanDanWeiMingCheng", "%" + para + "%");
      } 
    } 
    return this.tuShuZiLiaoDao.querySQL(start, rows, sql.toString(), tp, orderbysql);
  }
}
